/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: concerto@1.0.0

// imports

// Warning: Beware of circular dependencies when modifying these imports
import type {
	IDigitalMonetaryAmount,
	IDigitalCurrencyCode,
	IMonetaryAmount,
	ICurrencyCode,
	ICurrencyConversion
} from './org.accordproject.money@0.3.0';

// Warning: Beware of circular dependencies when modifying these imports
import type {
	IEndorsement
} from './org.accordproject.payment.endorsement@0.3.0';

// interfaces
export interface IConcept {
   $class: string;
}

export type ConceptUnion = IDigitalMonetaryAmount | 
IDigitalCurrencyCode | 
IMonetaryAmount | 
ICurrencyCode | 
ICurrencyConversion;

export interface IAsset extends IConcept {
   $identifier: string;
}

export interface IParticipant extends IConcept {
   $identifier: string;
}

export interface ITransaction extends IConcept {
   $timestamp: Date;
}

export type TransactionUnion = IEndorsement;

export interface IEvent extends IConcept {
   $timestamp: Date;
}

